import SearchParamHandler from "./SearchParamHandler";
export default class HashParamHandler extends SearchParamHandler {
    readUrlParams() {
        return new URLSearchParams(window.location.hash.replace(/^\#/, ""));
    }
    toString() {
        const url = this.params?.toString();
        if (url === "") {
            return "";
        }
        return "#" + url;
    }
}
//# sourceMappingURL=HashParamHandler.js.map