export default class UrlParamHandler {
    private searchParamHandler;
    private hashParamHandler;
    getHashParam(key: string): string | null;
    setHashParam(key: string, value: string): void;
    setSearchParam(key: string, value: string): void;
    getSearchParam(key: string, value: string): string | null;
    deleteSearchParam(key: string): void;
    readFromUrl(url?: URL): void;
    pushState(newState?: boolean): void;
}
